%global api	0.1
%global major	0
%global libname	%mklibname abydos %{api} %{major}
%global devname %mklibname abydos %{api} -d

%if "%{?distro_section}" == "tainted"
%global tainted 1
%endif

Name:		abydos
Summary:	An image loading library which relies heavily on cairo
Version:	0.1.3
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
Url:		https://snisurset.net/code/abydos/
Source0:	https://snisurset.net/code/abydos/files/abydos-%{version}.tar.xz
Patch0:		0001-Fix-linking.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(MagickCore)
BuildRequires:	pkgconfig(gdlib)
%if 0%{?tainted:1}
BuildRequires:	pkgconfig(libheif)
%endif
BuildRequires:	pkgconfig(libicns)
#BuildRequires:	pkgconfig(libnsbmp)
#BuildRequires:	pkgconfig(libnsgif)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libwebpdemux)
BuildRequires:	pkgconfig(libwebpmux)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	pkgconfig(ddjvuapi)
BuildRequires:	pkgconfig(libwmf)
BuildRequires:	netpbm-devel

%description
Abydos is an image loading library which relies heavily on cairo.

It handles both raster and vector graphics. It supports animation,
multi page images, multi variant images (different versions of the
image optimized for different sizes) and layers.

%package -n %{libname}
Summary:	An image loading library which relies heavily on cairo
Group:		System/Libraries

%description -n %{libname}
Abydos is an image loading library which relies heavily on cairo.

It handles both raster and vector graphics. It supports animation,
multi page images, multi variant images (different versions of the
image optimized for different sizes) and layers.

%package -n %{devname}
Summary:	Development files and headers for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development files and headers for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi -Im4
%configure2_5x
%make_build

%install
%make_install

%files -n %{libname}
%license COPYING
%{_libdir}/libabydos-%{api}.so.%{major}{,.*}
%dir %{_libdir}/abydos
%{_libdir}/abydos/*

%files -n %{devname}
%{_includedir}/abydos/
%{_libdir}/libabydos-%{api}.so
%{_libdir}/pkgconfig/abydos.pc

%changelog
* Tue Apr 16 2019 wally <wally> 0.1.3-2.mga7
+ Revision: 1391699
- enable netpbm support

* Sun Apr 14 2019 wally <wally> 0.1.3-1.mga7.tainted
+ Revision: 1390109
- imported package abydos

